commit:     b20e981da868a0075f98e6896c93fb43c4875442
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 19 15:46:12 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Wed Apr 19 15:47:35 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b20e981d

dev-ml/ocaml-gettext-stub: fix camomile breakage

Bug: https://bugs.gentoo.org/904506
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 ...1.ebuild => ocaml-gettext-stub-0.4.2-r2.ebuild} | 27 +++++++++++++---------
 1 file changed, 16 insertions(+), 11 deletions(-)

diff --git a/dev-ml/ocaml-gettext-stub/ocaml-gettext-stub-0.4.2-r1.ebuild 
b/dev-ml/ocaml-gettext-stub/ocaml-gettext-stub-0.4.2-r2.ebuild
similarity index 70%
rename from dev-ml/ocaml-gettext-stub/ocaml-gettext-stub-0.4.2-r1.ebuild
rename to dev-ml/ocaml-gettext-stub/ocaml-gettext-stub-0.4.2-r2.ebuild
index ee1414b5f36d..c678d9199725 100644
--- a/dev-ml/ocaml-gettext-stub/ocaml-gettext-stub-0.4.2-r1.ebuild
+++ b/dev-ml/ocaml-gettext-stub/ocaml-gettext-stub-0.4.2-r2.ebuild
@@ -1,36 +1,36 @@
 # Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 MY_PN=${PN/-stub/}
 MY_P=${P/-stub/}
+
 DUNE_PKG_NAME="gettext-stub"
+
 inherit dune
 
 DESCRIPTION="Support for internationalization of OCaml programs using native 
gettext library"
 HOMEPAGE="https://github.com/gildor478/ocaml-gettext";
-SRC_URI="https://github.com/gildor478/ocaml-gettext/archive/v${PV}.tar.gz -> 
${MY_P}.tar.gz"
+SRC_URI="https://github.com/gildor478/ocaml-gettext/archive/v${PV}.tar.gz
+       -> ${MY_P}.tar.gz"
 S="${WORKDIR}/${MY_PN}-${PV}"
 
 LICENSE="LGPL-2.1-with-linking-exception"
 SLOT="0/${PV}"
 KEYWORDS="amd64"
 IUSE="+ocamlopt test"
-RESTRICT="!test? ( test )"
+RESTRICT="test"  # Tests fail.
 
-BDEPEND="
-       >=dev-ml/cppo-1.6.6
-       dev-ml/dune-configurator
-"
 RDEPEND="
        dev-ml/base:=
-       dev-ml/camomile:=[ocamlopt=]
        dev-ml/ocaml-gettext:=
        !<dev-ml/ocaml-gettext-0.4.2
 "
-DEPEND="
-       ${RDEPEND}
+DEPEND="${RDEPEND}"
+BDEPEND="
+       >=dev-ml/cppo-1.6.6
+       dev-ml/dune-configurator
        test? (
                dev-ml/ocaml-fileutils
                dev-ml/ounit2[ocamlopt=]
@@ -40,6 +40,11 @@ DEPEND="
 src_prepare() {
        default
 
+       # Remove dependency on camomile (see
+       # https://github.com/gildor478/ocaml-gettext/issues/14)
+       rm -r src/lib/gettext-camomile || die
+       rm -r test/test-camomile || die
+
        # Port to dev-ml/ounit2
-       sed -i -e 's/oUnit/ounit2/' test/{,common,test-camomile,test-stub}/dune 
|| die
+       sed -i -e 's/oUnit/ounit2/' test/{,common,test-stub}/dune || die
 }

Reply via email to